#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  x265-4.1

- Next

  XviD-1.3.7

- Up
- Home

# xine-lib-1.2.13

## Introduction to Xine Libraries

The Xine Libraries package contains xine libraries. These are useful for interfacing with external plug-ins that allow the flow of information from the source to the audio and video hardware.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/xine/xine-lib-1.2.13.tar.xz

- Download MD5 sum: 9e1be39857b7a3cd7cc0f2b96331ff22

- Download size: 4.8 MB

- Estimated disk space required: 98 MB (with API documentation)

- Estimated build time: 0.5 SBU (Using parallelism=4; with API documentation)

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/12.3/xine-lib-1.2.13-upstream_fixes-1.patch

### Xine Libraries Dependencies

#### Required

a graphical environment, FFmpeg-7.1, and at least one of: alsa-lib-1.2.13, PulseAudio-17.0, or JACK

#### Recommended

libdvdnav-6.1.1

#### Optional

AAlib-1.4rc5, FAAD2-2.11.1, FLAC-1.5.0, gdk-pixbuf-2.42.12, GLU-9.0.3, ImageMagick-7.1.1-43, liba52-0.8.0, libdvdcss-1.4.3, libmad-0.15.1b, libmng-2.0.3, libnsl-2.0.1, libva-2.22.0 (requires GLU-9.0.3), libvdpau-1.5, libvorbis-1.3.7, libvpx-1.15.0, Mesa-24.3.4, Samba-4.21.4, sdl12-compat-1.2.68, Speex-1.2.1, Doxygen-1.13.2 (to create the API documentation), v4l-utils-1.28.1 DirectFB, libbluray, libcaca, libdca, libFAME, libmodplug, libtheora, musepack, VCDImager, and WavPack,

## Installation of Xine Libraries

First, fix building this package with ffmpeg-7.0 and later:

    patch -Np1 -i ../xine-lib-1.2.13-upstream_fixes-1.patch

Install Xine Libraries by running the following commands:

    ./configure --prefix=/usr          \
                --disable-vcd          \
                --with-external-dvdnav \
                --docdir=/usr/share/doc/xine-lib-1.2.13 &&
    make

To create the API documentation, Doxygen must be installed and issue the following command:

    doxygen doc/Doxyfile

This package does not come with a test suite.

Now, as the `root` user:

    make install

### Note

When installing, the Makefile does some additional linking. If you do not have Xorg in /usr, the LIBRARY_PATH variable needs to be defined for the root user. If using sudo to assume root, use the -E option to pass your current environment variables for the install process.

If you built the API documentation, issue the following commands as the `root` user to install it:

    install -v -m755 -d /usr/share/doc/xine-lib-1.2.13/api &&
    install -v -m644    doc/api/* \
                        /usr/share/doc/xine-lib-1.2.13/api

## Command Explanations

`--disable-vcd`: This switch is required to compile Xine Lib without VCDImager installed. Remove this option if you have installed VCDImager.

`--with-external-dvdnav`: This switch is required, because internal libraries cannot decrypt DVD.

`--docdir=/usr/share/doc/xine-lib-1.2.13`: This switch causes the documentation to be installed into a versioned directory instead of the default `/usr/share/doc/xine-lib`.

`--disable-vaapi`: use this switch if libva-2.22.0 is installed and GLU-9.0.3 is not, to prevent a build failure.

## Contents

Installed Programs: xine-config and xine-list-1.2
Installed Libraries: libxine.so and numerous plugin modules and video extensions under /usr/lib/xine/plugins/2.8
Installed Fonts: Output display engine fonts located in /usr/share/xine-lib/fonts
Installed Directories: /usr/include/xine, /usr/lib/xine, /usr/share/xine-lib, and /usr/share/doc/xine-lib-1.2.13

### Short Descriptions

xine-config | provides information to programs trying to link with the xine libraries
xine-list-1.2 | is used to get supported file type information from xine-lib
`libxine.so` | provides the API for processing audio/video files

- Prev

  x265-4.1

- Next

  XviD-1.3.7

- Up
- Home